<?php

namespace xenarabia\BestAnswer\XF\Widget;
use XF\Mvc\ParameterBag;

class BaLastAnswers extends \XF\Widget\AbstractWidget
{
	

    public function render()
    {
    	
		$LastAnswers = $this->getQuery();
    	$viewParams = [
    		'LastAnswers' => $LastAnswers,
			'node_id'	=> $this->contextParams['forum']['node_id']
		];
		
        return $this->renderer('widget_last_answers', $viewParams);
    }

    public function verifyOptions(\XF\Http\Request $request, array &$options, &$error = null)
	{
		$options = $request->filter([
			'limit' => 'uint'
		]);

		return true;
	}


	protected function getQuery()
	{
		$forum_id = $this->contextParams['forum']['node_id'];
		$threads = \XF::finder('XF:Thread')
		->where('node_id', $forum_id)
		->where('xena_post_ba', '<>', 0)
		->order('last_post_date', 'DESC')->limit(15)->fetch();
		return $threads;
	}
}
